%def_disable static

Name: libvisual
Version: 0.2.0
Release: alt1

Summary: Libvisual is an abstraction library that comes between applications and audio visualisation plugins
License: LGPL
Group: System/Libraries
Url: http://%name.sourceforge.net/v2/
Source: %name-%version.tar.gz

# Automatically added by buildreq on Sun Nov 28 2004
#BuildRequires: gcc-c++ gcc-g77 glib2 libstdc++-devel pkgconfig xorg-x11-devel xorg-x11-libs xorg-x11-mesaGL
BuildRequires: XFree86-devel XFree86-libs gcc-c++ gcc-g77 glib2 libstdc++-devel pkgconfig

%description
Libvisual is an abstraction library that comes between applications and
audio visualisation plugins.

Often when it comes to audio visualisation plugins or programs that
create visuals, they depend on a player or something else; basically,
there is no general framework that enabled application developers to
easily access cool audio visualisation plugins. Libvisual wants to
change this by providing an interface towards plugins and applications;
through this easy to use interface applications can easily access
plugins and, since the drawing is done by the application, it also
enables the developer to draw the visual anywhere he wants.

The framework also allows you to morph to different plugins and mix two
at once; all kinds of neat tricks are possible using this method.

%package devel
Summary: Development environment for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains development files required for building
%name-based software.

%package devel-static
Summary: Static %name library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains development files required for building
statically linked %name-based software.

%prep
%setup -q
%__subst 's,\(Libs: \),\1-L%_x11libdir ,' %name.pc.in

%build
export LDFLAGS=-L%_x11libdir
%configure \
    %{subst_enable static}

%make_build

%install
%makeinstall

%__install -d %buildroot{%_libdir,%_datadir}/%name 
%__install -d %buildroot%_libdir/%name/{actor,input,morph,transform}

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%dir %_libdir/%name/actor
%dir %_libdir/%name/input
%dir %_libdir/%name/morph
%dir %_libdir/%name/transform
%dir %_datadir/%name
%doc AUTHORS ChangeLog NEWS README TODO

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt1
- 0.2.0

* Fri Nov 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.1.7-alt1
- First build for Sisyphus. 
